Skip to main content
GET
/
product-collections
JavaScript
import DodoPayments from 'dodopayments';

const client = new DodoPayments({
  bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const productCollectionListResponse of client.productCollections.list()) {
  console.log(productCollectionListResponse.id);
}
{
  "items": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "products_count": 123,
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "image": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dodopayments.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page_size
integer<int32>

Page size default is 10 max is 100

Required range: x >= 0
page_number
integer<int32>

Page number default is 0

Required range: x >= 0
archived
boolean

List archived collections

brand_id
string

Filter by Brand id

Response

Product Collections List

items
object[]
required
Last modified on May 21, 2026